%define majorver	8.6
%define libname		%mklibname %{name} %{majorver}
%define develname	%mklibname %{name} -d

Name:		tcl
Version:	8.6.5
Release:	%mkrel 1
Summary:	Tool Command Language, pronounced tickle
Epoch:		1
License:	TCL
Group:		Development/Other
URL:		http://tcl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tcl/%{name}-core%{version}-src.tar.gz
Source1:	tcl.macros
Patch0:		tcl-8.6.3-autopath.patch
Patch1:		tcl-8.6.3-conf.patch
Patch2:		tcl-8.6.3-hidden.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(zlib)
Provides:	tcl(abi) = %{majorver}

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

If you're installing the tcl package and you want to use Tcl for
development, you should also install the tk and tclx packages.

%package -n	%{develname}
Summary:	Tcl scripting language development environment
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

The package contains the development files and man pages for tcl.

%prep
%setup -q -n %{name}%{version}
rm -r compat/zlib
chmod -x generic/tclStrToD.c

%patch0 -p1 -b .autopath
%patch1 -p1 -b .conf
%patch2 -p1 -b .hidden

%build
pushd unix
autoconf
%configure2_5x \
	--enable-threads \
	--enable-symbols \
	--enable-shared

%make \
	CFLAGS="%{optflags}" TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

%install
%make_install -C unix \
	TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s tclsh%{majorver} %{buildroot}%{_bindir}/tclsh

# for linking with -lib%%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p %{buildroot}%{_libdir}/%{name}%{majorver}

# postgresql and maybe other packages too need tclConfig.sh
# paths don't look at /usr/lib for efficiency, so we symlink into tcl8.5 for now
ln -s %{_libdir}/%{name}Config.sh %{buildroot}%{_libdir}/%{name}%{majorver}/%{name}Config.sh

mkdir -p %{buildroot}%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}%{_includedir}/%{name}-private/'{}' ';'
( cd %{buildroot}%{_includedir}
	for i in *.h ; do
		[ -f %{buildroot}%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i %{buildroot}%{_includedir}/%{name}-private/generic ;
	done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" %{buildroot}%{_libdir}/%{name}Config.sh
rm -rf %{buildroot}%{_datadir}/%{name}%{majorver}/ldAix

install -m 0644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros

%files
%doc README changes license.terms
%{_bindir}/tclsh*
%{_datadir}/%{name}%{majorver}
%exclude %{_datadir}/%{name}%{majorver}/tclAppInit.c
%{_datadir}/%{name}8
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/mann/*
%dir %{_libdir}/%{name}%{majorver}

%files -n %{libname}
%{_libdir}/lib%{name}%{majorver}.so

%files -n %{develname}
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%{_includedir}/*
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}Config.sh
%{_libdir}/%{name}ooConfig.sh
%{_libdir}/%{name}%{majorver}/%{name}Config.sh
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}%{majorver}/tclAppInit.c


%changelog
* Wed Mar 23 2016 daviddavid <daviddavid> 1:8.6.5-1.mga6
+ Revision: 994632
- new version: 8.6.5

* Fri Feb 12 2016 umeabot <umeabot> 1:8.6.4-3.mga6
+ Revision: 958979
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 1:8.6.4-2.mga6
+ Revision: 891688
- provide tcl(abi) = 8.6 to allow versioned dependencies (like Fedora)

* Fri Oct 02 2015 daviddavid <daviddavid> 1:8.6.4-1.mga6
+ Revision: 885795
- new version: 8.6.4
- use tcl-core tarball instead of tcl tarball (like Fedora)
- rename and rediff patches (sync with fc24)
- use system zlib instead of bundled one
- update file list

* Fri Feb 07 2014 fwang <fwang> 1:8.5.15-1.mga5
+ Revision: 585059
- 8.5.15

* Sat Oct 19 2013 umeabot <umeabot> 1:8.5.14-2.mga4
+ Revision: 530176
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 1:8.5.14-1.mga4
+ Revision: 456476
- new version 8.5.14
- go back to 8.5

* Sat Nov 10 2012 fwang <fwang> 1:8.5.13-1.mga3
+ Revision: 316805
- new version 8.5.13

* Sat Sep 08 2012 fwang <fwang> 1:8.5.12-3.mga3
+ Revision: 289972
- enable thread for ruby 1.9

* Sun Aug 05 2012 fwang <fwang> 1:8.5.12-2.mga3
+ Revision: 278587
- add requires so that correct libs are installed

* Sat Jul 28 2012 fwang <fwang> 1:8.5.12-1.mga3
+ Revision: 275126
- new version 8.5.12

* Fri Nov 11 2011 fwang <fwang> 1:8.5.11-1.mga2
+ Revision: 166816
- new version 8.5.11

* Mon Jul 04 2011 ahmad <ahmad> 1:8.5.10-3.mga2
+ Revision: 117971
- Don't ship lib%%{name}%%{majorver}.so in both the main package and libname

* Sat Jul 02 2011 fwang <fwang> 1:8.5.10-2.mga2
+ Revision: 117283
- add tcl.macros

* Fri Jul 01 2011 fwang <fwang> 1:8.5.10-1.mga2
+ Revision: 117199
- fix desc
- revert to 8.5 stable releases
- sync with fedora's patch

* Thu May 05 2011 misc <misc> 8.6-0.b1.7.mga1
+ Revision: 95192
- rebuild with the system zlib, to avoid crash on scilab

  + spuhler <spuhler>
    - removed buildroot definition from .spec

* Sat Jan 08 2011 blino <blino> 8.6-0.b1.6.mga1
+ Revision: 957
- remove old ldconfig scriptlets
- imported package tcl


* Mon Dec 06 2010 Jani Välimaa <wally@mandriva.org> 8.6-0.b1.5mdv2011.0
+ Revision: 612610
- add patch to fix buffer overflow with GCC 4.5 -D_FORTIFY_SOURCE=2
  (patch originally from Gentoo)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 8.6-0.b1.4mdv2011.0
+ Revision: 607983
- rebuild

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 8.6-0.b1.3mdv2010.1
+ Revision: 486057
- Build with thread support

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 8.6-0.b1.2mdv2010.0
+ Revision: 427285
- rebuild

* Wed Dec 24 2008 Adam Williamson <awilliamson@mandriva.org> 8.6-0.b1.1mdv2009.1
+ Revision: 318164
- a few adjustments to accomodate the inclusion of tdbc
- add tdbc_location.patch to install tdbc to the right place
- rediff fix_includes.patch
- new release 8.6b1

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 8.6-0.a3.1mdv2009.1
+ Revision: 310122
- missing prefix/lib on x86-64
- new directory conventions: /usr/share/tcl8.6 (noarch) and /usr/lib/tcl8.6
- disable threaded build (#42596)
- drop libtcl-devel provide (everything should use tcl-devel now)
- drop manual dep on lib (one is auto-generated anyway)
- rediff autopath.patch and don't include /usr/lib in it any more
- add build macros (see policy page, coming soon!, for details)
- add pre-release build conditionals
- new release 8.6a3

* Wed Oct 15 2008 Frederik Himpe <fhimpe@mandriva.org> 8.5.5-1mdv2009.1
+ Revision: 294061
- update to new version 8.5.5

* Fri Aug 15 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.4-1mdv2009.0
+ Revision: 272386
- new release 8.5.4

* Mon Jul 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5.3-1mdv2009.0
+ Revision: 232454
- update to new version 8.5.3

* Tue Jun 24 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.2-1mdv2009.0
+ Revision: 228719
- new release 8.5.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 8.5.1-3mdv2009.0
+ Revision: 225643
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.1-2mdv2008.1
+ Revision: 188739
- update autopath.patch from Fedora and also adjust it to include libdir, as we install some tcl modules just in libdir (this was breaking at least tcl-snack, probably others)

* Tue Feb 05 2008 Frederik Himpe <fhimpe@mandriva.org> 8.5.1-1mdv2008.1
+ Revision: 162815
- New upstream bug fix release

* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.0-1mdv2008.1
+ Revision: 149224
- explicitly state 'tcl' in the -devel obsoletes, don't use %%{name}
- replace rpath.patch with a configure option
- rediff expect-5.43.0.patch
- rediff dlopen.patch as per FIXME in spec, replace auto_path.patch with one from Fedora
- rearrange spec to follow MDV norms
- new release 8.5.0 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 8.5a6-4mdv2008.0
+ Revision: 81976
- own dirs in /usr/lib/tcl8
- rediff and reapply rpath and soname patches

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a6-3mdv2008.0
+ Revision: 41807
- update url
- handle nicely some stubborn files
- new devel library policy

* Tue Jun 12 2007 Christiaan Welvaart <spturtle@mandriva.org> 8.5a6-2mdv2008.0
+ Revision: 38092
- patch8: export two internal functions for expect

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a6-1mdv2008.0
+ Revision: 33182
- new version
- own missing file

* Mon May 21 2007 Jérôme Soyer <saispo@mandriva.org> 8.5a5-6mdv2008.0
+ Revision: 29223
- Bump Release
- Bump Release
- Add Patch for fixing bug #30895

* Mon May 14 2007 Michael Scherer <misc@mandriva.org> 8.5a5-4mdv2008.0
+ Revision: 26605
- fix tcl-devel not installable

* Tue May 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a5-3mdv2008.0
+ Revision: 24998
- correct requires
- obsolete tcl8.4

  + Anssi Hannula <anssi@mandriva.org>
    - add conflict for previous version of -devel

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 8.5a5-1mdv2008.0
+ Revision: 15001
- New release 8.5


* Mon Dec 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 8.4.14-1mdv2007.0
+ Revision: 98570
- Sync sources
- New version 8.4.14
- Import tcl

* Sat Apr 22 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.13-1mdk
- 8.4.13
- drop upstream patches; P5

* Tue Feb 14 2006 Stew Benedict <sbenedict@mandriva.com> 8.4.12-2mdk
- P6: add %%_libdir to $::auto_path on 64bit platforms
  (so addons like tcl-snack will work)

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.12-1mdk
- 8.4.12
- added P5 from cvs to fix build with bash3.1

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-6mdk
- fix the tclConfig.sh file

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-5mdk
- fix the tclConfig.sh file

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-4mdk
- fix the libtcl.so file

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-3mdk
- fix soname (P1) after looking at debian
- ship missing headers
- run the test suite
- misc lib64 and spec file fixes

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 8.4.11-2mdk
- first release as a standalone package
- devel files in a devel package
- nuke rpath for real

